#!/bin/bash

# Managed by Ansible

set -eu
set -o pipefail

initial=1

mqtt-simple -h {{ mqtt_internal_host }} -t "bitlair/doorduino/+" |
  while read line; do
      topic=$(echo "$line" | cut -d' ' -f1 | sed "s/bitlair\/doorduino\///")
      value=$(echo "$line" | cut -s -d' ' -f2-)

      if [ $initial == 0 ] && [ $value != 0 ]; then
         if [ $topic == "doorbell" ]; then
            irc-say "DEURBEL! Open de deur beneden!"
         elif [ $topic != "dooropen" ]; then
            irc-say "Doorduino: $topic $value"
         fi
      fi
      initial=0
  done

